## setCharacterSpinSpeed

### Syntax:

    setCharacterSpinSpeed (thisCharacter, value);

### Purpose:

Changes the speed at which thisCharacter spins when facing a new direction, either because of a call to moveCharacter or forceCharacter or a direct change of direction using the spinCharacter command.

The value parameter specifies the number of degrees through which a character can move each frame. For example, a value parameter of 45 would mean that the appropriate character, when facing south and being told to face north, would be shown facing south, south-east, east, north-east and, finally, north. A value parameter of 90 would mean that the character would only be shown facing south, east and then north.

Should value be 0, the angle which the character turns per frame is calculated automatically from the number of different directions represented in the character's costume.

### Return value:

No return value.

### See also:

Object Types as Characters

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012